Bump buildroot to 2019.02

This commit is contained in:
2019-03-28 22:49:48 +01:00
parent 5598b1b762
commit 920d307141
5121 changed files with 78550 additions and 46132 deletions

View File

@@ -0,0 +1,58 @@
From 5fec22461a6d8d1045c849e468436b00ec7f9616 Mon Sep 17 00:00:00 2001
From: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Date: Sun, 1 Apr 2018 20:11:21 +0200
Subject: [PATCH] build/CMakeLists.txt: don't install source and license
The CMakeLists.txt has the interesting (weird?) idea of installing the
license to /usr/LICENSE and the source code to /usr/src/, which is a
bit annoying. Let's not install such things.
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
---
build/CMakeLists.txt | 30 ------------------------------
1 file changed, 30 deletions(-)
diff --git a/build/CMakeLists.txt b/build/CMakeLists.txt
index a6736a0b..3de79f3e 100644
--- a/build/CMakeLists.txt
+++ b/build/CMakeLists.txt
@@ -473,36 +473,6 @@ if (WITH_BINARY)
endif ()
endif ()
-install(FILES ../LICENSE
- DESTINATION .
- COMPONENT Runtime
- )
-# Take a copy on Appveyor
-install(FILES "C:/projects/openssl-$ENV{OPENSSL}/LICENSE"
- DESTINATION .
- COMPONENT Runtime
- RENAME LICENSE_OPENSSL
- OPTIONAL # for local builds only!
- )
-
-file(GLOB_RECURSE I2PD_SOURCES "../libi2pd/*.cpp" "../libi2pd_client/*.cpp" "../daemon/*.cpp" "../build" "../Win32" "../Makefile*")
-install(FILES ${I2PD_SOURCES} DESTINATION src/ COMPONENT Source)
-# install(DIRECTORY ../ DESTINATION src/
-# # OPTIONAL
-# COMPONENT Source FILES_MATCHING
-# PATTERN .git EXCLUDE
-# PATTERN "*.cpp"
-# )
-
-file(GLOB I2PD_HEADERS "../libi2pd/*.h" "../libi2pd_client/*.h" "../daemon/*.h")
-install(FILES ${I2PD_HEADERS} DESTINATION src/ COMPONENT Headers)
-# install(DIRECTORY ../ DESTINATION src/
-# # OPTIONAL
-# COMPONENT Headers FILES_MATCHING
-# PATTERN .git EXCLUDE
-# PATTERN "*.h"
-# )
-
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Purple I2P, a C++ I2P daemon")
set(CPACK_PACKAGE_VENDOR "Purple I2P")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../README.md")
--
2.14.3

View File

@@ -0,0 +1,37 @@
config BR2_PACKAGE_I2PD
bool "i2pd"
depends on BR2_USE_MMU # fork()
depends on BR2_TOOLCHAIN_HAS_ATOMIC
# pthread_condattr_setclock
depends on BR2_TOOLCHAIN_HAS_THREADS_NPTL
depends on BR2_INSTALL_LIBSTDCPP
depends on BR2_USE_WCHAR # boost
depends on !BR2_TOOLCHAIN_HAS_GCC_BUG_64735 # exception_ptr
select BR2_PACKAGE_BOOST
select BR2_PACKAGE_BOOST_DATE_TIME
select BR2_PACKAGE_BOOST_FILESYSTEM
select BR2_PACKAGE_BOOST_PROGRAM_OPTIONS
select BR2_PACKAGE_BOOST_SYSTEM
select BR2_PACKAGE_OPENSSL
select BR2_PACKAGE_ZLIB
help
i2pd (I2P Daemon) is a full-featured C++ implementation of I2P
client.
I2P (Invisible Internet Protocol) is a universal anonymous
network layer.
All communications over I2P are anonymous and end-to-end
encrypted, participants don't reveal their real IP addresses.
http://i2pd.website
comment "i2pd needs a toolchain w/ C++, NPTL, wchar"
depends on BR2_USE_MMU
depends on BR2_TOOLCHAIN_HAS_ATOMIC
depends on !BR2_INSTALL_LIBSTDCPP || \
!BR2_TOOLCHAIN_HAS_THREADS_NPTL || !BR2_USE_WCHAR
comment "i2pd needs exception_ptr"
depends on BR2_USE_MMU
depends on BR2_TOOLCHAIN_HAS_ATOMIC
depends on BR2_TOOLCHAIN_HAS_GCC_BUG_64735

View File

@@ -0,0 +1,38 @@
#!/bin/sh
NAME=i2pd
PIDFILE=/var/run/$NAME.pid
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="--conf=/etc/i2pd/i2pd.conf --tunconf=/etc/i2pd/tunnels.conf --pidfile=/var/run/i2pd.pid --logfile=/var/log/i2pd.log --daemon --service"
start() {
printf "Starting $NAME: "
start-stop-daemon -S -q -m -b -p $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping $NAME: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,3 @@
# Locally computed:
sha256 6547d7a560482c5eda9106ae19267bc8afbb6af48fed3bebf423ade28103e173 i2pd-2.22.0.tar.gz
sha256 d147a6acdaf8ec9f6513802ef6cad4a4afcdb5ab6b98d9f6bb26d2b7f4cf454c LICENSE

View File

@@ -0,0 +1,67 @@
################################################################################
#
# i2pd
#
################################################################################
I2PD_VERSION = 2.22.0
I2PD_SITE = $(call github,PurpleI2P,i2pd,$(I2PD_VERSION))
I2PD_LICENSE = BSD-3-Clause
I2PD_LICENSE_FILES = LICENSE
I2PD_SUBDIR = build
I2PD_DEPENDENCIES = \
boost \
openssl \
zlib
I2PD_CONF_OPTS += -DWITH_GUI=OFF
# Before CMake 3.10, passing THREADS_PTHREAD_ARG=OFF was needed to
# disable a try_run() call in the FindThreads tests, which caused a
# build failure when cross-compiling.
I2PD_CONF_OPTS += -DTHREADS_PTHREAD_ARG=OFF
ifeq ($(BR2_TOOLCHAIN_HAS_LIBATOMIC),y)
I2PD_CONF_OPTS += -DCMAKE_CXX_FLAGS="$(TARGET_CXXFLAGS) -latomic"
endif
ifeq ($(BR2_STATIC_LIBS),y)
I2PD_CONF_OPTS += -DWITH_STATIC=ON
else
I2PD_CONF_OPTS += -DWITH_STATIC=OFF
endif
ifeq ($(BR2_PACKAGE_LIBMINIUPNPC),y)
I2PD_DEPENDENCIES += libminiupnpc
I2PD_CONF_OPTS += -DWITH_UPNP=ON
else
I2PD_CONF_OPTS += -DWITH_UPNP=OFF
endif
define I2PD_INSTALL_CONFIGURATION_FILES
$(INSTALL) -D -m 644 $(@D)/contrib/i2pd.conf \
$(TARGET_DIR)/etc/i2pd/i2pd.conf
$(INSTALL) -D -m 644 $(@D)/contrib/tunnels.conf \
$(TARGET_DIR)/etc/i2pd/tunnels.conf
mkdir -p $(TARGET_DIR)/var/lib/i2pd
cp -a $(@D)/contrib/certificates $(TARGET_DIR)/var/lib/i2pd
endef
define I2PD_USERS
i2pd -1 i2pd -1 * /var/lib/i2pd - - I2P Daemon
endef
define I2PD_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/i2pd/S99i2pd \
$(TARGET_DIR)/etc/init.d/S99i2pd
endef
define I2PD_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/i2pd/i2pd.service \
$(TARGET_DIR)/usr/lib/systemd/system/i2pd.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -sf ../../../../usr/lib/systemd/system/i2pd.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/i2pd.service
endef
$(eval $(cmake-package))

View File

@@ -0,0 +1,29 @@
[Unit]
Description=I2P Router written in C++
After=network.target
[Service]
User=i2pd
Group=i2pd
RuntimeDirectory=i2pd
RuntimeDirectoryMode=0700
LogsDirectory=i2pd
LogsDirectoryMode=0700
Type=simple
ExecStart=/usr/bin/i2pd --conf=/etc/i2pd/i2pd.conf --tunconf=/etc/i2pd/tunnels.conf --pidfile=/run/i2pd/i2pd.pid --logfile=/var/log/i2pd/i2pd.log --daemon --service
ExecReload=/bin/kill -HUP $MAINPID
PIDFile=/run/i2pd/i2pd.pid
### Uncomment, if auto restart needed
#Restart=on-failure
### Use SIGINT for graceful stop daemon.
# i2pd stops accepting new tunnels and waits ~10 min while old ones do not die.
KillSignal=SIGINT
TimeoutStopSec=10m
# If you have problems with hanging i2pd, you can try enable this
#LimitNOFILE=4096
PrivateDevices=yes
[Install]
WantedBy=multi-user.target